
#include "RegisterMyClasses.h"
#include <URegistrar.h>

#include <LIconPane.h>
#include <LGroupBox.h>
#include <LScroller.h>
#include <LActiveScroller.h>
#include <LStdControl.h>
#include <LGrafPortView.h>


#include "ScrollingPane.h"
#include "InfoPane.h"
#include "RunDialog.h"

// ---------------------------------------------------------------------------
//		¥ RegisterAllPPClasses
// ---------------------------------------------------------------------------
//	Register all PowerPlant classes that can create objects from Stream data

void RegisterMyPPClasses()
{
	RegisterClass_(LScroller);
	RegisterClass_(LActiveScroller);
	RegisterClass_(LPane);
	RegisterClass_(LView);
	RegisterClass_(LStdButton);
	RegisterClass_(LActiveScroller);
	//RegisterClass_(LTextEditView);
	RegisterClass_(LGrafPortView);
	RegisterClass_(LMyGrafPortView);
	RegisterClass_(LGroupBox);
	RegisterClass_(LStdPopupMenu);
	RegisterClass_(LIconPane);


	// My Classes
	RegisterClass_(CMCListView);		//::class_ID,	(ClassCreatorFunc) CMCListView::CreateMCListViewStream);
	RegisterClass_(CMCInfoPane);		// ::class_ID,	(ClassCreatorFunc) CMCInfoPane::CreateMCInfoPaneStream);
	RegisterClass_(LMyGrafPortView);	// ::class_ID,	(ClassCreatorFunc) LMyGrafPortView::CreateMyGrafPortViewStream);

}
